<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__sar__sample__ctrl__register__enums" kind="group">
    <compoundname>group_sar_sample_ctrl_register_enums</compoundname>
    <title>Sample Control Register Enums</title>
      <sectiondef kind="enum">
      <memberdef id="group__group__sar__sample__ctrl__register__enums_1gaa4ffb0ad77de3d0bdf85bfbc713218f6" kind="enum" prot="public" static="no">
        <name>cy_en_sar_sample_ctrl_result_align_t</name>
        <enumvalue id="group__group__sar__sample__ctrl__register__enums_1ggaa4ffb0ad77de3d0bdf85bfbc713218f6a0dd014f3232484624080ff52d418c91e" prot="public">
          <name>CY_SAR_RIGHT_ALIGN</name>
          <initializer>= 0UL &lt;&lt; SAR_SAMPLE_CTRL_LEFT_ALIGN_Pos</initializer>
          <briefdescription>
<para>Right align result data to bits [11:0] with sign extension to 16 bits if channel is signed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__sample__ctrl__register__enums_1ggaa4ffb0ad77de3d0bdf85bfbc713218f6a8c732f0a5a942878a82fcdbadcea7045" prot="public">
          <name>CY_SAR_LEFT_ALIGN</name>
          <initializer>= 1UL &lt;&lt; SAR_SAMPLE_CTRL_LEFT_ALIGN_Pos</initializer>
          <briefdescription>
<para>Left align result data to bits [15:4]. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_sample_ctrl_result_align_t: </bold><linebreak />Configure result alignment, either left or right aligned.</para></briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;Averaging always uses right alignment. If the &lt;a href="group__group__sar__sample__ctrl__register__enums.html#group__group__sar__sample__ctrl__register__enums_1ggaa4ffb0ad77de3d0bdf85bfbc713218f6a8c732f0a5a942878a82fcdbadcea7045"&gt;CY_SAR_LEFT_ALIGN&lt;/a&gt; is selected with averaging enabled, it is ignored.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The voltage conversion functions (&lt;a href="group__group__sar__functions__countsto.html#group__group__sar__functions__countsto_1gaf9e34e8b68020602396686ec699314a1"&gt;Cy_SAR_CountsTo_Volts&lt;/a&gt;, &lt;a href="group__group__sar__functions__countsto.html#group__group__sar__functions__countsto_1ga8f1189056459a76c4b9f9917dc3a9e6e"&gt;Cy_SAR_CountsTo_mVolts&lt;/a&gt;, &lt;a href="group__group__sar__functions__countsto.html#group__group__sar__functions__countsto_1ga0950546e50604fc6daa33b2bdb155e5d"&gt;Cy_SAR_CountsTo_uVolts&lt;/a&gt;) are only valid for right alignment. &lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim></para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="964" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="960" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="961" />
      </memberdef>
      <memberdef id="group__group__sar__sample__ctrl__register__enums_1ga8919e435c53bfc20a8f26530e3ba7270" kind="enum" prot="public" static="no">
        <name>cy_en_sar_sample_ctrl_single_ended_format_t</name>
        <enumvalue id="group__group__sar__sample__ctrl__register__enums_1gga8919e435c53bfc20a8f26530e3ba7270ab3861e8c8a8909994bdd574ebb04fa64" prot="public">
          <name>CY_SAR_SINGLE_ENDED_UNSIGNED</name>
          <initializer>= 0UL &lt;&lt; SAR_SAMPLE_CTRL_SINGLE_ENDED_SIGNED_Pos</initializer>
          <briefdescription>
<para>Result data for single-ended channels is unsigned. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__sample__ctrl__register__enums_1gga8919e435c53bfc20a8f26530e3ba7270ad125b75e6802479d6a5d819b39e78223" prot="public">
          <name>CY_SAR_SINGLE_ENDED_SIGNED</name>
          <initializer>= 1UL &lt;&lt; SAR_SAMPLE_CTRL_SINGLE_ENDED_SIGNED_Pos</initializer>
          <briefdescription>
<para>Result data for single-ended channels is signed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_sample_ctrl_single_ended_format_t: </bold><linebreak />Configure format, signed or unsigned, of single-ended channels.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="971" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="967" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="968" />
      </memberdef>
      <memberdef id="group__group__sar__sample__ctrl__register__enums_1ga2d4acecaee4c010ea2e553171675a5b6" kind="enum" prot="public" static="no">
        <name>cy_en_sar_sample_ctrl_differential_format_t</name>
        <enumvalue id="group__group__sar__sample__ctrl__register__enums_1gga2d4acecaee4c010ea2e553171675a5b6a9d98011d3534acbffe69581361caecc6" prot="public">
          <name>CY_SAR_DIFFERENTIAL_UNSIGNED</name>
          <initializer>= 0UL &lt;&lt; SAR_SAMPLE_CTRL_DIFFERENTIAL_SIGNED_Pos</initializer>
          <briefdescription>
<para>Result data for differential channels is unsigned. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__sample__ctrl__register__enums_1gga2d4acecaee4c010ea2e553171675a5b6ae37e82d9c8fb9e9fbd29f35ca9f76573" prot="public">
          <name>CY_SAR_DIFFERENTIAL_SIGNED</name>
          <initializer>= 1UL &lt;&lt; SAR_SAMPLE_CTRL_DIFFERENTIAL_SIGNED_Pos</initializer>
          <briefdescription>
<para>Result data for differential channels is signed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_sample_ctrl_differential_format_t: </bold><linebreak />Configure format, signed or unsigned, of differential channels.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="978" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="974" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="975" />
      </memberdef>
      <memberdef id="group__group__sar__sample__ctrl__register__enums_1gaed912a3edfab12b4ebea94fedf289ecf" kind="enum" prot="public" static="no">
        <name>cy_en_sar_sample_ctrl_avg_cnt_t</name>
        <enumvalue id="group__group__sar__sample__ctrl__register__enums_1ggaed912a3edfab12b4ebea94fedf289ecfa73a53b80105c99cdf5bb81cb4754612b" prot="public">
          <name>CY_SAR_AVG_CNT_2</name>
          <initializer>= 0UL &lt;&lt; SAR_SAMPLE_CTRL_AVG_CNT_Pos</initializer>
          <briefdescription>
<para>Set samples averaged to 2. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__sample__ctrl__register__enums_1ggaed912a3edfab12b4ebea94fedf289ecfa48e1e031e90721d806c21744c44a4790" prot="public">
          <name>CY_SAR_AVG_CNT_4</name>
          <initializer>= 1UL &lt;&lt; SAR_SAMPLE_CTRL_AVG_CNT_Pos</initializer>
          <briefdescription>
<para>Set samples averaged to 4. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__sample__ctrl__register__enums_1ggaed912a3edfab12b4ebea94fedf289ecfa0f4902d7434267911198f50aa41847d9" prot="public">
          <name>CY_SAR_AVG_CNT_8</name>
          <initializer>= 2UL &lt;&lt; SAR_SAMPLE_CTRL_AVG_CNT_Pos</initializer>
          <briefdescription>
<para>Set samples averaged to 8. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__sample__ctrl__register__enums_1ggaed912a3edfab12b4ebea94fedf289ecfa51a7182a3b7486d9e05eb4b34ab80b86" prot="public">
          <name>CY_SAR_AVG_CNT_16</name>
          <initializer>= 3UL &lt;&lt; SAR_SAMPLE_CTRL_AVG_CNT_Pos</initializer>
          <briefdescription>
<para>Set samples averaged to 16. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__sample__ctrl__register__enums_1ggaed912a3edfab12b4ebea94fedf289ecfaaa70184ca2980c495bc5d2cab45b3067" prot="public">
          <name>CY_SAR_AVG_CNT_32</name>
          <initializer>= 4UL &lt;&lt; SAR_SAMPLE_CTRL_AVG_CNT_Pos</initializer>
          <briefdescription>
<para>Set samples averaged to 32. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__sample__ctrl__register__enums_1ggaed912a3edfab12b4ebea94fedf289ecfa3f789fdae0b0f4e48d67a5089baeace4" prot="public">
          <name>CY_SAR_AVG_CNT_64</name>
          <initializer>= 5UL &lt;&lt; SAR_SAMPLE_CTRL_AVG_CNT_Pos</initializer>
          <briefdescription>
<para>Set samples averaged to 64. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__sample__ctrl__register__enums_1ggaed912a3edfab12b4ebea94fedf289ecfabc474cf397abf63d7d69b9f5e5a65f58" prot="public">
          <name>CY_SAR_AVG_CNT_128</name>
          <initializer>= 6UL &lt;&lt; SAR_SAMPLE_CTRL_AVG_CNT_Pos</initializer>
          <briefdescription>
<para>Set samples averaged to 128. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__sample__ctrl__register__enums_1ggaed912a3edfab12b4ebea94fedf289ecfabdae96477f89a03e9279fc84a9ba1170" prot="public">
          <name>CY_SAR_AVG_CNT_256</name>
          <initializer>= 7UL &lt;&lt; SAR_SAMPLE_CTRL_AVG_CNT_Pos</initializer>
          <briefdescription>
<para>Set samples averaged to 256. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_sample_ctrl_avg_cnt_t: </bold><linebreak />Configure number of samples for averaging.</para></briefdescription>
        <detaileddescription>
<para>This applies only to channels with averaging enabled. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="993" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="983" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="984" />
      </memberdef>
      <memberdef id="group__group__sar__sample__ctrl__register__enums_1ga9632ebe875d036e34a15d7c8df57e331" kind="enum" prot="public" static="no">
        <name>cy_en_sar_sample_ctrl_avg_mode_t</name>
        <enumvalue id="group__group__sar__sample__ctrl__register__enums_1gga9632ebe875d036e34a15d7c8df57e331a91a5fad5906a200940bbfbf15ef08868" prot="public">
          <name>CY_SAR_AVG_MODE_SEQUENTIAL_ACCUM</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>Set mode to sequential accumulate and dump. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__sample__ctrl__register__enums_1gga9632ebe875d036e34a15d7c8df57e331ade22974fa0104308e9484cc606842b2d" prot="public">
          <name>CY_SAR_AVG_MODE_SEQUENTIAL_FIXED</name>
          <initializer>= SAR_SAMPLE_CTRL_AVG_SHIFT_Msk</initializer>
          <briefdescription>
<para>Set mode to sequential 12-bit fixed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__sample__ctrl__register__enums_1gga9632ebe875d036e34a15d7c8df57e331a89d83498d39e5e049cb2b33c18145095" prot="public">
          <name>CY_SAR_AVG_MODE_INTERLEAVED</name>
          <initializer>= SAR_SAMPLE_CTRL_AVG_MODE_Msk</initializer>
          <briefdescription>
<para>Set mode to interleaved. </para>          </briefdescription>
          <detaileddescription>
<para>Number of samples per scan must be 16 or less. </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_sample_ctrl_avg_mode_t: </bold><linebreak />Configure the averaging mode.</para></briefdescription>
        <detaileddescription>
<para><itemizedlist>
<listitem><para>Sequential accumulate and dump: a channel will be sampled back to back. The result is added to a running sum in a 20-bit register. At the end of the scan, the accumulated value is shifted right to fit into 16 bits and stored into the CHAN_RESULT register.</para></listitem><listitem><para>Sequential fixed: a channel will be sampled back to back. The result is added to a running sum in a 20-bit register. At the end of the scan, the accumulated value is shifted right to fit into 12 bits and stored into the CHAN_RESULT register.</para></listitem><listitem><para>Interleaved: a channel will be sampled once per scan. The result is added to a running sum in a 16-bit register. In the scan where the final averaging count is reached, the accumulated value is shifted right to fit into 12 bits and stored into the CHAN_RESULT register. In all other scans, the CHAN_RESULT will have an invalid result. In interleaved mode, make sure that the averaging count is low enough to ensure that the intermediate value does not exceed 16 bits, that is averaging count is 16 or less. Otherwise, the MSBs will be lost. In the special case that averaging is enabled for all enabled channels and interleaved mode is used, the interrupt frequency will be reduced by a factor of the number of samples averaged. </para></listitem></itemizedlist>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1023" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1018" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1019" />
      </memberdef>
      <memberdef id="group__group__sar__sample__ctrl__register__enums_1ga62ecb4e368dcea23cfbfc41bd0497fc6" kind="enum" prot="public" static="no">
        <name>cy_en_sar_sample_ctrl_trigger_mode_t</name>
        <enumvalue id="group__group__sar__sample__ctrl__register__enums_1gga62ecb4e368dcea23cfbfc41bd0497fc6a55a26ca93dcfd68c8b9b120416bc1b32" prot="public">
          <name>CY_SAR_TRIGGER_MODE_FW_ONLY</name>
          <initializer>= 0UL</initializer>
          <briefdescription>
<para>Firmware trigger only, disable hardware trigger. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__sample__ctrl__register__enums_1gga62ecb4e368dcea23cfbfc41bd0497fc6a7eed8528ba801da55b7727c170d361e1" prot="public">
          <name>CY_SAR_TRIGGER_MODE_FW_AND_HWEDGE</name>
          <initializer>= SAR_SAMPLE_CTRL_DSI_TRIGGER_EN_Msk</initializer>
          <briefdescription>
<para>Enable edge sensitive hardware trigger. </para>          </briefdescription>
          <detaileddescription>
<para>Each rising edge will trigger a single scan. </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__sar__sample__ctrl__register__enums_1gga62ecb4e368dcea23cfbfc41bd0497fc6ac7d137ec50152f166656503877638943" prot="public">
          <name>CY_SAR_TRIGGER_MODE_FW_AND_HWLEVEL</name>
          <initializer>= SAR_SAMPLE_CTRL_DSI_TRIGGER_EN_Msk | SAR_SAMPLE_CTRL_DSI_TRIGGER_LEVEL_Msk</initializer>
          <briefdescription>
<para>Enable level sensitive hardware trigger. </para>          </briefdescription>
          <detaileddescription>
<para>The SAR will continuously scan while the trigger signal is high. </para>          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_sar_sample_ctrl_trigger_mode_t: </bold><linebreak />Configure the trigger mode.</para></briefdescription>
        <detaileddescription>
<para>Firmware triggering is always enabled and can be single shot or continuous. Additionally, hardware triggering can be enabled with the option to be edge or level sensitive. </para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="1036" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" bodystart="1031" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_sar.h" line="1032" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>This set of enumerations are used in configuring the SAR SAMPLE_CTRL register. </para>    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>